=== src/app/morph-browser/debian/control ===
Source: morph-browser
Section: x11
Priority: optional
Maintainer: UBports developers
Build-Depends: apparmor:native,
               apparmor-easyprof,
               cmake (>= 2.8.9),
               debhelper (>= 9),
               dh-apparmor,
               dh-translations,
               libapparmor-dev,
               libqt5sql5-sqlite,
               apparmor-easyprof-ubuntu,
               lsb-release,
               pkg-config,
               python3-all:any,
               python3-flake8 (>= 2.2.2-1ubuntu4) | python3-flake8:native,
               qml-module-qt-labs-folderlistmodel,
               qml-module-qt-labs-settings,
               qml-module-qtquick2 (>= 5.4),
               qml-module-qtquick-controls2,
               qml-module-qtquick-layouts,
               qml-module-qtsysteminfo,
               qml-module-qttest,
               qml-module-qtwebengine,
               qt5-default,
               qtbase5-dev (>= 5.4),
               qtbase5-dev-tools,
               qtdeclarative5-dev,
               qtdeclarative5-ubuntu-ui-extras0.2,
               qtdeclarative5-ubuntu-ui-toolkit-plugin (>= 1.3) | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles (>= 1.3),
               qttools5-dev-tools,
               qtwebengine5-dev,
               xvfb,
Standards-Version: 3.9.7
Homepage: https://github.com/ubports/morph-browser
XS-Testsuite: autopkgtest

Package: morph-browser
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         fonts-liberation,
         libqt5sql5-sqlite,
         libqt5webengine5,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         qml-module-qtquick2 (>= 5.5),
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2 (>= 5.3),
         qml-module-qtsysteminfo,
         qml-module-morph-web (= ${binary:Version}),
         qtdeclarative5-ubuntu-content1,
         qtdeclarative5-ubuntu-ui-extras0.2,
         qtdeclarative5-ubuntu-ui-toolkit-plugin (>= 1.3) | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles (>= 1.3),
         qtdeclarative5-unity-action-plugin,
Replaces: morph-browser-assets,
          qtdeclarative5-ubuntu-ui-extras-browser-plugin (<< 0.22),
Conflicts: morph-browser-assets, webbrowser-app
Provides: morph-browser-assets, webbrowser-app
Breaks: qtdeclarative5-ubuntu-ui-extras-browser-plugin (<< 0.22)
Description: morph web browser
 A lightweight web browser tailored for morph, based on the Oxide browser
 engine and using the Suru UI components.

Package: morph-webapp-container
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         fonts-liberation,
         libqt5sql5-sqlite,
         libqt5webengine5,
         qml-module-qtquick2 (>= 5.5),
         qml-module-qtquick-window2 (>= 5.3),
         qml-module-ubuntu-onlineaccounts,
         qml-module-morph-web (= ${binary:Version}),
         qtdeclarative5-ubuntu-content1,
         qtdeclarative5-ubuntu-ui-toolkit-plugin (>= 1.3) | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles (>= 1.3),
         qtdeclarative5-unity-action-plugin,
         morph-browser (= ${binary:Version}),
Conflicts: ubuntu-html5-container, webapp-container
Replaces: ubuntu-html5-container, webapp-container
Suggests: qml-module-ubuntu-onlineaccounts-client (>= 0.3),
Description: Morph web applications container
 A lightweight webapp container tailored for Morph, based on the QtWebEngine browser
 engine and using the Suru UI components.

Package: qml-module-ubuntu-web-compat
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-morph-web, ${misc:Depends}
Replaces: qml-module-ubuntu-ui-extras-browser,
          qtdeclarative5-ubuntu-ui-extras-browser-plugin,
          qml-module-ubuntu-web,
          qtdeclarative5-ubuntu-web-plugin
Conflicts: qml-module-ubuntu-ui-extras-browser,
          qtdeclarative5-ubuntu-ui-extras-browser-plugin,
          qml-module-ubuntu-web,
          qtdeclarative5-ubuntu-web-plugin
Description: This provides a compat layer for Ubuntu.Web

Package: qml-module-morph-web
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtwebengine,
         qml-module-qtquick2 (>= 5.4),
         qml-module-qtquick-window2 (>= 5.3),
         qtdeclarative5-ubuntu-ui-toolkit-plugin (>= 1.3) | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles (>= 1.3),
Breaks: qtdeclarative5-ubuntu-web-plugin (<< ${source:Version})
Replaces: qtdeclarative5-ubuntu-web-plugin (<< ${source:Version})
Description: Morph web QML module
 A standalone QML module that contains the WebView component,
 in the Morph.Web namespace.

Package: qtdeclarative5-ubuntu-web-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-morph-web, ${misc:Depends}
Description: transitional dummy package for the Morph web QML module
 A standalone QML module that contains the WebView component,
 in the Morph.Web namespace.

Package: qml-module-morph-web-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: qtdeclarative5-ubuntu-web-plugin-doc (<< ${source:Version})
Replaces: qtdeclarative5-ubuntu-web-plugin-doc (<< ${source:Version})
Description: Morph web QML module HTML documentation
 A standalone QML module that contains the WebView component,
 in the Morph.Web namespace. This package contains the public
 HTML documentation.

Package: qtdeclarative5-ubuntu-web-plugin-doc
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: qml-module-morph-web-doc, ${misc:Depends}
Description: transitional dummy package for the morph web QML module HTML documentation
 A standalone QML module that contains the WebView component,
 in the morph.Web namespace. This package contains the public
 HTML documentation.

# Package: morph-browser-autopilot
# Architecture: all
# Multi-Arch: foreign
# Depends: ${misc:Depends},
#          autopilot-qt5,
#          content-hub-testability,
#          python3-autopilot,
#          python3-fixtures,
#          python3-psutil,
#          ubuntu-ui-toolkit-autopilot,
#          morph-browser (>= ${binary:Version}),
# Description: morph web browser autopilot tests
#  A lightweight web browser tailored for morph, based on the Oxide browser
#  engine and using the suru UI components. This package contains autopilot
#  tests for it.
# 
# Package: morph-webapp-container-autopilot
# Architecture: all
# Multi-Arch: foreign
# Depends: ${misc:Depends},
#          autopilot-qt5,
#          python3-autopilot,
#          python3-fixtures,
#          ubuntu-ui-toolkit-autopilot,
#          morph-webapp-container (>= ${binary:Version}),
# Description: morph web applications container autopilot tests
#  A lightweight webapp container tailored for morph, based on the Oxide browser
#  engine and using the Suru UI components. This package contains autopilot
#  tests for it.
